# 플랫폼 코인 전송

### 1. Request.sendCoin <a href="#id-1.-request.sendcoin" id="id-1.-request.sendcoin"></a>

**Parameters**

<table><thead><tr><th width="183">이름</th><th width="178.33333333333331">타입</th><th>설명</th></tr></thead><tbody><tr><td>chainId</td><td>number</td><td>해당 네트워크의 체인 아이디</td></tr><tr><td>appName</td><td>string</td><td>플랫폼 코인 전송 시 FAVORLET 앱에 노출될 이름</td></tr><tr><td>transactions</td><td>object array</td><td><p>플랫폼 코인을 전송하기 위해 필요한 정보</p><p>(자세한 내용은 아래를 참고)</p></td></tr></tbody></table>

**transactions 객체는 다음을 포함합니다.**

<table><thead><tr><th width="183">이름</th><th width="178.33333333333331">타입</th><th>설명</th></tr></thead><tbody><tr><td>from</td><td>string</td><td>플랫폼 코인을 전송할 주소</td></tr><tr><td>to</td><td>string</td><td>플랫폼 코인을 받을 주소</td></tr><tr><td>value</td><td>string</td><td>전송할 코인의 양</td></tr><tr><td>gasLimit</td><td>string</td><td>사용할 gasLimit (optional) 없을 시,<br>앱 내 estimate 함수 실행</td></tr></tbody></table>

**Response**

<table><thead><tr><th width="183">이름</th><th width="178.33333333333331">타입</th><th>설명</th></tr></thead><tbody><tr><td>requestId</td><td>string</td><td>작업 또는 트랜잭션 요청을 추적하기 위한 id</td></tr><tr><td>expiredAt</td><td>number</td><td>작업 또는 트랜잭션 요청이 만료 되는 시간(단위: 초)</td></tr></tbody></table>

**Example**

```javascript
import { Request } from "favorlet.js";

const response = await Request.sendCoin({
  chainId: 8217, // 해당 체인 id
  appName: "BlockChainApp", // FAVORLET 앱에 노출
  transactions: [
    {
      from: "0x{address in hex}", // 코인을 전송할 주소
      to: "0x{address in hex}", // 코인을 받을 주소
      value: "1000000000000000000", // 전송할 코인의 양
      gasLimit: "100000"
    },
  ],
});

console.log(response);
/*
{
  requestId: "56ba790c-aceb-465b-a6f2-33d103b25596",
  expiredAt: 1667891675
}
*/
```

### 2. createDeepLink <a href="#id-2.-createdeeplink" id="id-2.-createdeeplink"></a>

**Parameters**

<table><thead><tr><th width="185">타입</th><th>설명</th></tr></thead><tbody><tr><td>string</td><td>Request 요청시 전달받은 requestId</td></tr></tbody></table>

**Response**

<table><thead><tr><th width="185">타입</th><th>설명</th></tr></thead><tbody><tr><td>string</td><td>FAVORLET 앱 내 해당 요청 페이지 DeepLink</td></tr></tbody></table>

**Example**

```javascript
import { createDeepLink } from "favorlet.js";

const deepLink = createDeepLink(response.requestId); // Request를 통해 받은 requestId

/*
- PC: 생성된 deepLink를 qrcode 라이브러리를 이용하여 QR 생성 후 스마트폰으로 스캔
- Mobile: window.location.href 등을 사용하여 생성된 deepLink로 직접 이동
*/
console.log(deepLink);
// https://app.favorlet.link/?requestId=56ba790c-aceb-465b-a6f2-33d103b25596
```

### 3. receipt <a href="#id-3.-receipt" id="id-3.-receipt"></a>

```javascript
import { receipt } from "favorlet.js";

const result = await receipt(response.requestId); // Request를 통해 받은 requestId

console.log(result);
/*
- status에 따라 이후 분기 처리

### requested
{
  requestId: "56ba790c-aceb-465b-a6f2-33d103b25596",
  expiredAt: 1667891675,
  action: "sendCoin",
  transactions: [
    { status: "requested" }
  ]
}

### executed
{
  requestId: "56ba790c-aceb-465b-a6f2-33d103b25596",
  expiredAt: 1667891675,
  action: "sendCoin",
  transactions: [
    { status: "executed" }
  ]
}

### canceled
{
  requestId: "56ba790c-aceb-465b-a6f2-33d103b25596",
  expiredAt: 1667891675,
  action: "sendCoin",
  transactions: [
    { 
      status: "canceled",
      txHash: null,
      errorMessage: null
    }
  ]
}

### failed
{
  requestId: "56ba790c-aceb-465b-a6f2-33d103b25596",
  expiredAt: 1667891675,
  action: "sendCoin",
  transactions: [
    { 
      status: "failed",
      txHash: "0x5a4e16cfe0c21c3cd20456340b8614f585d951d9b931b515b11575d08142a6e2",
      errorMessage: "execution reverted : invalid id"
    }
  ]
}

### succeed
{
  requestId: "56ba790c-aceb-465b-a6f2-33d103b25596",
  expiredAt: 1667891675,
  action: "sendCoin",
  transactions: [
    { 
      status: "succeed",
      txHash: "0x5a4e16cfe0c21c3cd20456340b8614f585d951d9b931b515b11575d08142a6e2",
      errorMessage: null
    }
  ]
}
*/
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.favorlet.io/dev/app2app/send.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
